// FILENAME:	SSL_Uranus.cs
//
// Based On:      DM_Impact
//
// AUTHORS:  	Temujin
//------------------------------------------------------------------------------

$missionName = "SSL_Uranus";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$yellowHealRate = $blueHealRate = $redHealRate = $purpleHealRate = 750;
$padWaitTime = 15;
$zenWaitTime = 60;

$radius = 200;
$damage = 10000;

// move the map
$server::HudMapViewOffsetX = 0;
$server::HudMapViewOffsetY = 0;

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to Uranus!\n" @
	$missionName @ " designed by ''|''mJ, and is available at http://www6.50megs.com/temujin.\n\n" @
	"This map was designed for SLA StarSiege League Games.\n" @
	"Blue team is defending, red team is on the attack.\n"  ) ;
}

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	marsSounds();
}

function onMissionLoad()
{
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

function Safety::trigger::OnEnter(%this, %object)
{
	%x = randomInt( -50, 50);
	%y = randomInt( -50, 50);

	setPosition(%object, %x, %y, 1703);
}

function fueltank::structure::onDestroyed(%this, %object)
{
   	blast(%this, $radius, $damage, 0);

	%target = getObjectId("MissionGroup\\Stuff\\BOOM");
	%x = getPosition(%this,x);
	%y = getPosition(%this,y);
	setPosition(%target, %x, %y, 1685);
	playAnimSequence(%target, 0, true);
	schedule("LowerBoom("@%target@");", 1 );
}

function LowerBoom(%this)
{
	setposition(%this, 0, 0, 0);
}
